VirtualBox

Ticket #20639 (closed defect: duplicate)

Opened 8 months ago

Last modified 8 months ago

VirtualBox 6.1.28 will not install on MacOS Monterey 12.0.1

Reported by: billq Owned by:
Component: installer Version: VirtualBox 6.1.28
Keywords: Cc:
Guest type: other Host type: Mac OS X

Description

An upgrade of VirtualBox to 6.1.28 fails on MacOS Monterey 12.0.1 with the message:

The installation failed. The installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance.

Running on the CLI, this is all I see: (not terribly helpful)

sudo installer -verboseR -pkg ./VirtualBox.pkg -target /
installer: Package name is Oracle VM VirtualBox
installer: Upgrading at base path /
installer:PHASE:Preparing for installation…
installer:PHASE:Preparing the disk…
installer:PHASE:Preparing Oracle VM VirtualBox…
installer:PHASE:Waiting for other installations to complete…
installer:PHASE:Configuring the installation…
installer:STATUS:
installer:%2.200000
installer:PHASE:Validating packages…
installer:%5.536040
installer:PHASE:Writing files…
installer:%19.286043
installer:PHASE:Writing files…
installer:%48.504797
installer:PHASE:Writing files…
installer:%61.170287
installer:PHASE:Running package scripts…
installer:%86.557292
installer:PHASE:Running package scripts…
installer:%87.423836
installer:PHASE:Running package scripts…
installer:%88.280362
installer:PHASE:Running package scripts…
installer:%89.139034
installer:PHASE:Running package scripts…
installer:%89.994282
installer:PHASE:Running package scripts…
installer:%90.859118
installer:PHASE:Running package scripts…
installer:%91.714084
installer:PHASE:Running package scripts…
installer:%92.332929
installer:PHASE:Running package scripts…
installer:PHASE:Running package scripts…
installer:PHASE:Running package scripts…
installer:PHASE:Validating packages…
installer:%97.750000
installer: The upgrade failed. (The Installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance. An error occurred while running scripts from the package “VirtualBox.pkg”.)

Change History

comment:1 Changed 8 months ago by billq

After the installation failed, I found a message in System Preferences -> Security & Privacy stating that I needed to "Allow apps downloaded from:" Oracle to be be installed. Once unlocking to make changes and rebooting, I was able to successfully install 6.1.28.

comment:2 Changed 8 months ago by klaus

  • Status changed from new to closed
  • Resolution set to duplicate

Sounds like a duplicate of #20637, because the "Security & Privacy" part is expected, and I assume you'll have trouble with the kernel extension loading on the next boot.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use